
QGIS Application - Bug report #20799

Distance matrix output is false

2018-12-13 03:25 PM - Romain Blanc

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28619

Description

Take two points layers (example attached) and create a distance matrix in QGIS 2.18.26 and 3.4.2.

Results are different, and both are false. With points in example, max distance should be approximately 8 meters (max result of 2.18 ->

2820557.60885 ; 3.4 -> 2803875.70748).

The layers and the project are in EPSG 2056 (unit = meter). Meters are defined as default unit in QGIS preferences.

Associated revisions

Revision 5c2f68e7 - 2018-12-15 01:36 AM - Nyall Dawson

[processing] Throw error when attempting to use Distance Matrix with

multipoint datasets

There's no single approach to use for multi-point inputs, so instead

of overloading this algorithm with extra options to control how these

are handled, we raise a helpful error and push the reponsibility back

to the user to get the data into the right format before running the

tool.

Fixes #20799

Revision 489f32d8 - 2018-12-16 12:45 AM - Nyall Dawson

[processing] Throw error when attempting to use Distance Matrix with

multipoint datasets

There's no single approach to use for multi-point inputs, so instead

of overloading this algorithm with extra options to control how these

are handled, we raise a helpful error and push the reponsibility back

to the user to get the data into the right format before running the

tool.

Fixes #20799

(cherry picked from commit 5c2f68e769509a7aac89898990de0ffdeff0d6e0)
History

#1 - 2018-12-13 05:40 PM - Romain Blanc

Same data with ArcGIS Point Distance analysis return correct values.

#2 - 2018-12-15 01:36 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|5c2f68e769509a7aac89898990de0ffdeff0d6e0.

#3 - 2018-12-17 02:22 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

example_matrix.gpkg 248 KB 2018-12-13 Romain Blanc
